'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Checkbox = exports.CHECKBOX = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _pure = require('../../utils/pure');

var _classnames3 = require('classnames');

var _classnames4 = _interopRequireDefault(_classnames3);

var _withTheme = require('../../utils/withTheme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CHECKBOX = exports.CHECKBOX = Symbol('Checkbox');
var RawCheckbox = function (_Component) {
    _inherits(RawCheckbox, _Component);

    function RawCheckbox() {
        _classCallCheck(this, RawCheckbox);

        var _this = _possibleConstructorReturn(this, (RawCheckbox.__proto__ || Object.getPrototypeOf(RawCheckbox)).apply(this, arguments));

        _this.handleChange = function (element) {
            _this.props.onValueChange(element.target.checked);
        };
        return _this;
    }

    _createClass(RawCheckbox, [{
        key: 'render',
        value: function render() {
            var _classnames;

            var _props = this.props,
                id = _props.id,
                checkMark = _props.checkMark,
                isDisabled = _props.isDisabled,
                value = _props.value,
                theme = _props.theme;

            var iconClassName = (0, _classnames4.default)(theme.icon, (_classnames = {}, _defineProperty(_classnames, theme.icon_isChecked, value), _defineProperty(_classnames, theme.icon_isDisabled, isDisabled), _classnames));
            var viewClassName = (0, _classnames4.default)(theme.view, _defineProperty({}, theme.view_isDisabled, isDisabled));
            return React.createElement("span", { className: theme.container }, React.createElement("input", { type: "checkbox", id: id, checked: value || false, disabled: isDisabled, onChange: this.handleChange, className: theme.input }), React.createElement("span", { className: viewClassName }, React.createElement("span", { className: iconClassName }, checkMark)));
        }
    }]);

    return RawCheckbox;
}(_react.Component);
RawCheckbox = tslib_1.__decorate([_pure.PURE], RawCheckbox);
var Checkbox = exports.Checkbox = (0, _withTheme.withTheme)(CHECKBOX)(RawCheckbox);