'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _ResizeDetector = require('./ResizeDetector');

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _storybook.storiesOf)('ResizeDetector', module).add('default', function () {
    return _react2.default.createElement(_Demo2.default, null, "Resize current window to log events in Action Logger below", _react2.default.createElement(_ResizeDetector.ResizeDetector, { onResize: (0, _storybook.action)('resized') }));
});