'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Link = exports.LINK = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _pure = require('../../utils/pure');

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _withTheme = require('../../utils/withTheme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LINK = exports.LINK = Symbol('Link');
var RawLink = function (_React$Component) {
    _inherits(RawLink, _React$Component);

    function RawLink() {
        _classCallCheck(this, RawLink);

        var _this = _possibleConstructorReturn(this, (RawLink.__proto__ || Object.getPrototypeOf(RawLink)).apply(this, arguments));

        _this.onClick = function (e) {
            if (_this.props.isDisabled || !_this.props.processEmptyHash && _this.props.href === '#') {
                e.preventDefault();
            }
            _this.props.onClick && _this.props.onClick(e);
        };
        return _this;
    }

    _createClass(RawLink, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                isDisabled = _props.isDisabled,
                rel = _props.rel,
                href = _props.href,
                target = _props.target,
                children = _props.children,
                theme = _props.theme;

            var className = (0, _classnames3.default)(theme.container, _defineProperty({}, theme.container_isDisabled, isDisabled));
            return React.createElement("a", { href: href, rel: rel, target: target, onClick: this.onClick, className: className }, children);
        }
    }]);

    return RawLink;
}(React.Component);
RawLink = tslib_1.__decorate([_pure.PURE], RawLink);
var Link = exports.Link = (0, _withTheme.withTheme)(LINK)(RawLink);