'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _ToggleButtons = require('./ToggleButtons');

var _Button = require('../Button/Button');

var _Link = require('../Link/Link');

var _pure = require('../../utils/pure');

var _storybook = require('@devexperts/tools/lib/utils/storybook');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ToggleButtonsPage = function (_Component) {
    _inherits(ToggleButtonsPage, _Component);

    function ToggleButtonsPage() {
        _classCallCheck(this, ToggleButtonsPage);

        var _this = _possibleConstructorReturn(this, (ToggleButtonsPage.__proto__ || Object.getPrototypeOf(ToggleButtonsPage)).apply(this, arguments));

        _this.state = {
            toggleIndex: 0
        };
        _this.onToggleChange = function (i) {
            _this.setState({
                toggleIndex: i
            });
        };
        return _this;
    }

    _createClass(ToggleButtonsPage, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_ToggleButtons.ToggleButtons, { defaultIndex: 1, onChange: this.onToggleChange }, _react2.default.createElement(_Link.Link, null, "Toggle Link 1"), _react2.default.createElement(_Link.Link, null, "Toggle Link 2"), _react2.default.createElement(_Link.Link, null, "Toggle Link 3")), _react2.default.createElement(_ToggleButtons.ToggleButtons, { toggleIndex: this.state.toggleIndex, isVertical: true, onChange: this.onToggleChange }, _react2.default.createElement(_Button.Button, null, "Toggle 4"), _react2.default.createElement(_Button.Button, null, "Toggle 5"), _react2.default.createElement(_Button.Button, null, "Toggle 6")), _react2.default.createElement(_ToggleButtons.ToggleButtons, { toggleIndex: this.state.toggleIndex, isDisabled: true, onChange: this.onToggleChange }, _react2.default.createElement(_Button.Button, null, "Toggle 7"), _react2.default.createElement(_Button.Button, null, "Toggle 8"), _react2.default.createElement(_Button.Button, null, "Toggle 9")), _react2.default.createElement(_ToggleButtons.ToggleButtons, { toggleIndex: this.state.toggleIndex, onChange: this.onToggleChange }, _react2.default.createElement(_Button.Button, { onClick: (0, _storybook.action)('clicked on Toggle 10') }, "Toggle 10"), _react2.default.createElement(_Button.Button, { onClick: (0, _storybook.action)('clicked on Toggle 11') }, "Toggle 11"), _react2.default.createElement(_Button.Button, { onClick: (0, _storybook.action)('clicked on Toggle 12') }, "Toggle 12")));
        }
    }]);

    return ToggleButtonsPage;
}(_react.Component);
ToggleButtonsPage = tslib_1.__decorate([_pure.PURE], ToggleButtonsPage);
(0, _storybook.storiesOf)('Toggle Buttons', module).add('default', function () {
    return _react2.default.createElement(ToggleButtonsPage, null);
});